tigase.jaxmpp.core.client.connector

## Class AbstractBoshConnector.BoshPacketSendingHandler.BoshPacketSendingEvent

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.Event<H>
  - - tigase.jaxmpp.core.client.eventbus.JaxmppEvent<AbstractBoshConnector.BoshPacketSendingHandler>
    - - tigase.jaxmpp.core.client.connector.AbstractBoshConnector.BoshPacketSendingHandler.BoshPacketSendingEvent

- Enclosing interface:
    AbstractBoshConnector.BoshPacketSendingHandler

      public static class AbstractBoshConnector.BoshPacketSendingHandler.BoshPacketSendingEvent
      extends JaxmppEvent<AbstractBoshConnector.BoshPacketSendingHandler>

  Fired when BOSH packet is sending.

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `sessionObject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshPacketSendingEvent(SessionObject sessionObject, Element element)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(AbstractBoshConnector.BoshPacketSendingHandler handler)` Invokes handlers method.
    `Element` | `getElement()`
    `void` | `setElement(Element stanza)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.JaxmppEvent

      `getSessionObject`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.Event

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoshPacketSendingEvent

          public BoshPacketSendingEvent(SessionObject sessionObject,
                                        Element element)

  - ### Method Detail

    - #### dispatch

          protected void dispatch(AbstractBoshConnector.BoshPacketSendingHandler handler)
                           throws JaxmppException

      Description copied from class: `Event`
      Invokes handlers method.
      Specified by:
        `dispatch` in class `Event<AbstractBoshConnector.BoshPacketSendingHandler>`
      Parameters:
        `handler` - handler
      Throws:
        `JaxmppException`

    - #### getElement

          public Element getElement()

    - #### setElement

          public void setElement(Element stanza)

Copyright © 2006–2016 Tigase. All rights reserved.